<!DOCTYPE html>
<html lang="en">

<head>
    
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function soma(numeros){
        var temp;
            for(var i=0; i<4; i++){
                temp = numeros[i] + numeros[i+1];
            }
            return temp;
        }

        var numeros = [10, 12, 13, 15];
        var retorno = soma(numeros);

        console.log(retorno);
        
    </script>
</body>
</html>